body{
background-image: linear-gradient(to right, rgb(72, 159, 235), rgb(255, 0, 136));
padding: 10px;

}

#gridContainer {
    display: grid;
    grid-gap: 45px;
    padding: 30px;
    margin: 2px;
    grid-template-areas: 
        'item1 item2 item3 item4'
        'item5 item6 item7 item8'
        'header header header header';
}

.gridContainer > div {
  padding: 85px;
  height: 100px;
  width: 100px;
  text-align: center;
}

#header {
    grid-area: header;
    background-color: rgb(174, 197, 255);
    border-style: outset;
    border-color: rgb(255, 255, 255);
    }

.item1 {
    grid-area: item1;
    background-color: rgb(73, 67, 255);
}

.item2 {
    grid-area: item2;
    background-color: rgb(73, 67, 255);
}

.item3 {
    grid-area: item3;
    background-color: rgb(73, 67, 255);
}

.item4 {
    grid-area: item4;
    background-color: rgb(73, 67, 255);
}

.item5 {
    grid-area: item5;
    background-color: rgb(255, 14,14);
}

.item6 {
    grid-area: item6;
    background-color: rgb(255, 14, 14);
}

.item7 {
    grid-area: item7;
    background-color: rgb(255, 14, 14);
}

.item8 {
    grid-area: item8;
    background-color: rgb(255, 14, 14);
}

.WeirdCourtroom {
    height: 100%;
    transition: height .5s;
}

.WeirdCourtroom:hover {
    cursor: pointer;
    height: 175px;
}

.play {
   animation-name: playing;
   animation-duration: 3s;
   animation-iteration-count: infinite;
   animation-direction: alternate-reverse;
}

@keyframes playing {
    0%    {background-color: #21f7ec; }
    40%   {background-color: #f0f721; }
    80%   {background-color: #21f7ec; }
    100%  {background-color: #f0f721; }
}

.pause {
    animation-name: paused;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    animation-direction: alternate-reverse;
}

@keyframes paused {
    0%    {background-color: #000000; }
    50%  {background-color: #910000; }
    100%    {background-color: #000000; }
}

@media only screen and (max-width: 1000px) {
    #gridContainer {
    padding: 30px;
    grid-template-areas: 
        'header header header'
        'item1 item2 item3' 
        'item4 item5 item6'
        'item7 item8';
    }

    .gridContainer > div {
        padding: 15px 0;
        height: 160px;
        width: 170px;
        text-align: center;
      } 
}

@media screen and (max-width: 780px){

    #gridContainer {
    grid-gap: 10px;
    padding: 0px;
    grid-template-areas: 
        'item1 item2' 
        'item3 item4'
        'item5 item6'
        'item7 item8'
        'header header';
    } 

     .gridContainer > div {
        padding: 10px;
        height: 370px;
        width: 370px;
        text-align: center;
    } 
}

@media only screen and (max-width: 590px) {
    #gridContainer {
    display: grid;
    grid-gap: 35px;
    padding: 30px;
    grid-template-areas: 
        'header'
        'item1' 
        'item2'
        'item3'
        'item4'
        'item5'
        'item6'
        'item7'
        'item8';
    }
    
    #gridContainer > div {
    text-align: center;
    padding: 10px 0;
    width: 100vw;
}
}

/*menu*/

  @font-face {
    font-family: pressStart;
    src: url(Fonts/PressStart2P-Regular.ttf);
}

  @font-face {
    font-family: dotGothic;
    src: url(Fonts/DotGothic16-Regular.ttf);
}

#flexbox-container {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: center;
    
}

.flex-item {
    height: 40px;
    padding: 10px;
}

.flex-item:hover {
    cursor: pointer;
}

.dropdown {
    display: none;
    }
#speed {
    font-size: 2em;
    font-family: dotGothic;
}

#speed:hover {
    cursor: pointer;
}

@media screen and (max-width: 600px){
.dropdown {
    display: inline;
}

#flexbox-container {
    display: none; 
}

#hamburger {
    margin-left: 10px;
}
#hamburger:hover{
    cursor: pointer;
}

.dropbtn {
    color: #e6adff;
    border: none;
    cursor: pointer;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #e6adff;
    min-width: 160px;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 10px;
    font-size: 2em; 
    font-family: dotGothic
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown a:hover {background-color: #d5fcff;}
}

/*Popup*/

#popupMenu {
    display: none;
    position: absolute;
    top: 10%;
    left: 30%;
    margin: 100px;
    height: 400px;
    width: 400px;
    text-align: center;
    background-color: #e6adff;
    opacity: 85%;
    z-index: 1;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}

#closeMenu {
    margin: 10px;
    float: left;
    height: 30px;
}

#closeMenu:hover{
    cursor: pointer;
}

.blur {
    filter: blur(5px);
}

#popup-flex-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    justify-items: center;
}

.popup-flex-item {
    margin: 20px;
}

#colorPicker {
    margin: 10px;
    width: 255px;
}

#yourName {
    width: 190px;
}

@media screen and (max-width: 600px){
    #popupMenu {
        display: none;
        position: absolute;
        top: 5%;
        left: 0%;
        margin: 5px;
        height: 50vh;
        width: 100vw;
        text-align: center;
        background-color: #e6adff;
        z-index: 1;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    }
}
